package com.njcn.device.pq.service;


import com.njcn.device.biz.pojo.vo.TerminalSelectTreeVO;
import com.njcn.device.pq.pojo.param.DeviceInfoParam;
import com.njcn.device.pq.pojo.vo.DeptLineTreeVO;
import com.njcn.device.pq.pojo.vo.TerminalTree;

import java.util.List;

/**
 * pqs
 * 终端设备树业务
 *
 * @author cdf
 * @date 2021/7/19
 */
public interface TerminalTreeService {


    /**
     * 获取终端设备树
     *
     * @author cdf
     * @date 2021/7/19
     */
    List<TerminalTree> getTerminalTree();

    /**
     * 5层树排除设备 母线监测点合并
     *
     * @author cdf
     * @date 2022/1/13
     */
    List<TerminalTree> getTerminalTreeForFive(DeviceInfoParam deviceInfoParam);

    /**
     * 根据省份获取未绑定的监测点树
     *
     * @author dhj
     * @date 2022/1/14
     */
    List<DeptLineTreeVO> getDeptBindDeptLineTree(String deptId, Integer deptType, String id, Integer type);

    List<TerminalSelectTreeVO> getTerminalSelectTree(Integer level);

    /**
     * 冀北设备台账树
     * @return
     */
    List<TerminalTree> getJbTerminalTree();


    List<TerminalTree> getJbNewTerminalTree();
}
